## jarisplayer 2.0.15+20131104~dfsg

=== debian/changelog ===
jarisplayer (2.0.15+20131104~dfsg-1) unstable; urgency=low

  * Initial packaging.
    Closes: Bug#760788.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Sep 2014 23:08:38 +0200
