=== debian/control ===
Source: jarisplayer
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 haxe,
 libimage-exiftool-perl,
 libregexp-assemble-perl,
 libipc-system-simple-perl,
 lcdf-typetools
Standards-Version: 3.9.5
Homepage: http://jarisflvplayer.org/
Vcs-Git: git://git.debian.org/collab-maint/jarisplayer
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/jarisplayer.git

Package: jarisplayer
Architecture: all
Depends: ${misc:Depends},
 ${shlibs:Depends},
Recommends: javascript-common
Provides: libjs-jarisplayer
Description: flash video and audio player for embedding into a web page
 Jaris FLV Player is a flash flv/mp4 video and audio player with the most
 important basic features found in other commercial players.
 .
 Features:
  * Aspect ratio switcher
  * Fullscreen support
  * H.264 playback support
  * Http pseudo-streaming support
  * RTMP streaming support
  * Youtube player API support
  * Poster image
  * Use your own logo with link
  * Hide controls on fullscreen
  * Custom control colors
  * Hardware scaling
  * Keyboard shortcuts
  * Javascript interface to control the player
