=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2014 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Jaris FLV Player
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

DEB_UPSTREAM_URL = https://github.com/jegoyalu/$(DEB_UPSTREAM_PACKAGE)/archive
#DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_BASENAME = 343cde6
DEB_UPSTREAM_TARBALL_SRCDIR = jarisplayer-343cde60dbc07c4c36985bf9aadd431f3f33bec2

# Needed by upstream build process
bdeps = haxe

CDBS_BUILD_DEPENDS +=, $(bdeps)

# Exclude potentially non-DFSG binary files and unused external projects
#  * binary ActionScript code potentially embedding non-free libraries
#  * convenience code copy of swfobject.js project
DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
 bin/*.swf \
 bin/js/swfobject.js

# extract metadata from images and fonts before copyright check
CDBS_BUILD_DEPENDS +=, libimage-exiftool-perl, libregexp-assemble-perl
CDBS_BUILD_DEPENDS +=, libipc-system-simple-perl, lcdf-typetools
local_inspection_regex = png
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^((.*/)?[^/]+\.($(local_inspection_regex))|debian/(changelog|copyright(|_hints|_newhints)))$$
debian/stamp-copyright-check: debian/stamp-extract-copyright
debian/stamp-extract-copyright:
	find * -type f -regextype posix-extended \
		-regex '.*\.($(local_inspection_regex))' \
		-print0 | perl -0 debian/print-metadata.pl
	touch $@
pre-build:: clean-extracted-copyright-during-build
clean-extracted-copyright-during-build: debian/stamp-copyright-check
	find -type f -name '*.metadata_dump' -delete
clean::
	find -type f -name '*.metadata_dump' -delete
	rm -f debian/stamp-extract-copyright

DEB_INSTALL_CHANGELOGS_ALL = changes.txt
DEB_INSTALL_DOCS_$(pkg) += README.md documentation.txt
DEB_INSTALL_EXAMPLES_$(pkg) = bin/index.html

build/$(pkg):: debian/stamp-swf-build
debian/stamp-swf-build:
	haxe -main jaris.Main -swf player.swf -cp src -D no-pattern-matching -dce full
	touch $@
clean::
	rm -f player.swf
	rm -f debian/stamp-swf-build
