## jarisplayer 2.0.17~dfsg

=== debian/changelog ===
jarisplayer (2.0.17~dfsg-3) unstable; urgency=medium

  * Move VCS of packaging to Javascript team (from collab-maint).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 May 2016 10:46:55 +0200

jarisplayer (2.0.17~dfsg-2) unstable; urgency=medium

  * Fix Vcs-Git URL.
  * Declare compliance with Debian Policy 3.9.8.
  * Update git-buildpackage config: Filter any .gitignore file.
  * Update watch file:
    + Bump file format to version 4.
    + Refine source pattern based on documentation.
    + Mangle download filename.
    + Set repacksuffix.
    + Add usage comment.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Include and use local script license-miner (succeeding
    print-metadata.pl).
  * Update package relations:
    + Build-depend on libfont-ttf-perl.
    + Stop build-depend on libipc-system-simple-perl lcdf-typetools.
  * Update copyright info:
    + Extend copyright of packaging to cover current year.
    + Fix include license grant for packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 May 2016 10:16:02 +0200

jarisplayer (2.0.17~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
  2.0.16
    + Fix compilation with new haxe v3.
      Closes: Bug#801250. Thanks to Chris Lamb.
    + Fix the AsyncErrorEvent exception thrown by player.
    + Add loadVideo() JsAPI call, call from JS new video.
    + Add build.hxml.
  2.0.17
    + Disable second parameter when calling play() on a rtmp source.
    + Disable rtmpSourceParser() because it is causing issues.
    + Added rtmp notes to documentation.txt
    + Fix new control do not autohide bug.
    + Fix new control vertical check.

  [ Jonas Smedegaard ]
  * Modernize git-buildpackage config: Avoid git- prefix.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Drop patch 1001: Adopted upstream.
  * Modernize Vcs-Git URL: Use https protocol and anonscm.d.o host.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Nov 2015 21:53:37 +0100
