=== debian/control ===
--- 
+++ 
@@ -8,14 +8,13 @@
  debhelper,
  dh-buildinfo,
  haxe,
+ libregexp-assemble-perl,
  libimage-exiftool-perl,
- libregexp-assemble-perl,
- libipc-system-simple-perl,
- lcdf-typetools
-Standards-Version: 3.9.5
+ libfont-ttf-perl
+Standards-Version: 3.9.8
 Homepage: http://jarisflvplayer.org/
-Vcs-Git: git://git.debian.org/collab-maint/jarisplayer
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/jarisplayer.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/jarisplayer
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/jarisplayer.git
 
 Package: jarisplayer
 Architecture: all
